configure --enable-maintainer-mode gives errors on fedora 30

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

configure --enable-maintainer-mode gives errors on fedora 30

Jean-frederic Clere-3
Hi,

I have spotted a bunch of errors when using ./configure
--enable-maintainer-mode on the branch 2.4.x, do we plan to fix those?

Some are really errors (probably core with bad httpd,conf) some are more
tricky...

--
Cheers

Jean-Frederic
Reply | Threaded
Open this post in threaded view
|

Re: configure --enable-maintainer-mode gives errors on fedora 30

Stefan Eissing
I always run in maintainer mode, but on MacOS. gcc is often more picky. Is that what you use?

> Am 18.06.2019 um 14:33 schrieb jean-frederic clere <[hidden email]>:
>
> Hi,
>
> I have spotted a bunch of errors when using ./configure
> --enable-maintainer-mode on the branch 2.4.x, do we plan to fix those?
>
> Some are really errors (probably core with bad httpd,conf) some are more
> tricky...
>
> --
> Cheers
>
> Jean-Frederic

Reply | Threaded
Open this post in threaded view
|

Re: configure --enable-maintainer-mode gives errors on fedora 30

Jean-frederic Clere-3
On 18/06/2019 14:38, Stefan Eissing wrote:
> I always run in maintainer mode, but on MacOS. gcc is often more picky. Is that what you use?

Yes gcc looks quite clever now ;-) see the patch attached.

BTW: that is the only one in 2.4.x now my branch wasn't up to date...

>
>> Am 18.06.2019 um 14:33 schrieb jean-frederic clere <[hidden email]>:
>>
>> Hi,
>>
>> I have spotted a bunch of errors when using ./configure
>> --enable-maintainer-mode on the branch 2.4.x, do we plan to fix those?
>>
>> Some are really errors (probably core with bad httpd,conf) some are more
>> tricky...
>>
>> --
>> Cheers
>>
>> Jean-Frederic
>
>

--
Cheers

Jean-Frederic

patch.txt (1K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: configure --enable-maintainer-mode gives errors on fedora 30

Marion & Christophe JAILLET
Hi,

Just for the records, this is apparently already pat of r1809037 on trunk.

CJ

Le 18/06/2019 à 14:52, jean-frederic clere a écrit :

> On 18/06/2019 14:38, Stefan Eissing wrote:
>> I always run in maintainer mode, but on MacOS. gcc is often more picky. Is that what you use?
> Yes gcc looks quite clever now ;-) see the patch attached.
>
> BTW: that is the only one in 2.4.x now my branch wasn't up to date...
>
>>> Am 18.06.2019 um 14:33 schrieb jean-frederic clere <[hidden email]>:
>>>
>>> Hi,
>>>
>>> I have spotted a bunch of errors when using ./configure
>>> --enable-maintainer-mode on the branch 2.4.x, do we plan to fix those?
>>>
>>> Some are really errors (probably core with bad httpd,conf) some are more
>>> tricky...
>>>
>>> --
>>> Cheers
>>>
>>> Jean-Frederic
>>
>

Reply | Threaded
Open this post in threaded view
|

Re: configure --enable-maintainer-mode gives errors on fedora 30

Jean-frederic Clere-3
On 18/06/2019 19:29, Christophe JAILLET wrote:
> Hi,
>
> Just for the records, this is apparently already pat of r1809037 on trunk.

Coorect should I ask for a back port?

>
> CJ
>
> Le 18/06/2019 à 14:52, jean-frederic clere a écrit :
>> On 18/06/2019 14:38, Stefan Eissing wrote:
>>> I always run in maintainer mode, but on MacOS. gcc is often more
>>> picky. Is that what you use?
>> Yes gcc looks quite clever now ;-) see the patch attached.
>>
>> BTW: that is the only one in 2.4.x now my branch wasn't up to date...
>>
>>>> Am 18.06.2019 um 14:33 schrieb jean-frederic clere <[hidden email]>:
>>>>
>>>> Hi,
>>>>
>>>> I have spotted a bunch of errors when using ./configure
>>>> --enable-maintainer-mode on the branch 2.4.x, do we plan to fix those?
>>>>
>>>> Some are really errors (probably core with bad httpd,conf) some are
>>>> more
>>>> tricky...
>>>>
>>>> -- 
>>>> Cheers
>>>>
>>>> Jean-Frederic
>>>
>>
>
>


--
Cheers

Jean-Frederic
Reply | Threaded
Open this post in threaded view
|

Re: configure --enable-maintainer-mode gives errors on fedora 30

Joe Orton
In reply to this post by Marion & Christophe JAILLET
On Tue, Jun 18, 2019 at 07:29:51PM +0200, Christophe JAILLET wrote:
> Hi,
>
> Just for the records, this is apparently already pat of r1809037 on trunk.

Stefan are you planning to merge the changes here to 2.4.x any time
soon?  If not can I get a few +1s on the attached so 2.4.x can be
warning-free with gcc 8+?

There is divergence between trunk and 2.4 here and I don't want to break
anything, this patch is simply a noop to remove the warnings without
changing behaviour.

Regards, Joe

modssl_chain_warning.diff (1K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: configure --enable-maintainer-mode gives errors on fedora 30

Jean-frederic Clere-3
On 01/07/2019 17:59, Joe Orton wrote:

> On Tue, Jun 18, 2019 at 07:29:51PM +0200, Christophe JAILLET wrote:
>> Hi,
>>
>> Just for the records, this is apparently already pat of r1809037 on trunk.
>
> Stefan are you planning to merge the changes here to 2.4.x any time
> soon?  If not can I get a few +1s on the attached so 2.4.x can be
> warning-free with gcc 8+?
>
> There is divergence between trunk and 2.4 here and I don't want to break
> anything, this patch is simply a noop to remove the warnings without
> changing behaviour.
>
> Regards, Joe
>

+1 ;-)

--
Cheers

Jean-Frederic